Download OpenAPI specification:Download
https://api.signicat.com/secure-share/The Secure Share API enables you to securely share files with other people in a programmatic way.
You can choose among different levels of security, ranging from weaker methods, such as One-Time Passwords (OTPs), to stronger methods, like using electronic IDs (eIDs).
This REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.
Before you can start making requests to this API, you need to learn how to connect to it. To do this, see the Connect to Signicat APIs Quick start guide.
Use the Signicat Audit logs service to see documented evidence of the sequence of activities that have affected a system.
When you make an API call to Signicat and an error occurs, you will receive a response message with an error code.
Use the Signicat Events service to automatically receive information about when something happens in one of our services into your system.
Note: This is often referred to as callback.
Create a recipient and add it to an existing share
| shareId required | string <guid> Example: f353398a-cf40-48b7-aeed-389c727a2f46 The identifier of the share this recipient belongs to |
| firstName | string or null Recipient first name |
| lastName | string or null Recipient last name |
string or null <email> ^[^@]+@[^@]+$ Recipient email. Email is required if mobile is not provided or if it used by authentications or notifications | |
| mobile | string or null Recipient mobile. Mobile is required if email is not provided or if it used by authentications or notifications |
| fileRestrictions | Array of strings or null <guid> [ items <guid > ] A list of file ids that this recipient has access to, if empty, this recipient will have access to all the file from the share |
required | Array of objects (AuthenticationDto) non-empty List of authentication methods for a recipient |
(NotificationDto (object or null)) Recipient notification setup | |
| externalReference | string or null Create a reference to your own system |
{- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "+4771234567",
- "fileRestrictions": [ ],
- "authentication": [
- {
- "identityProvider": "nbid",
- "idpId": "1234-3456-5678",
- "nin": "12345678901"
}
], - "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En"
}, - "externalReference": "6ae9fd6d-e60e-4485-a805-baa3c4543b05"
}{- "id": "2e67e9ff-c3ed-496a-a347-9c08f15c8a1e",
- "externalReference": "4022135c-6d7b-44ca-b250-32122cb11817",
- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "0777777777",
- "fileAccessInfos": [
- {
- "id": "ad382fc1-dc4c-4857-b274-36e143bbe771",
- "lastDownloadedAt": "2026-10-22T14:12:38.4366551+00:00"
}
], - "fileRestrictions": [
- "ad382fc1-dc4c-4857-b274-36e143bbe771"
], - "authentication": [
- {
- "identityProvider": "otp-sms",
- "idpId": null,
- "nin": null
}, - {
- "identityProvider": "otp-email",
- "idpId": null,
- "nin": null
}
], - "loggedInTime": "2026-10-22T14:07:38.4366641+00:00",
- "url": null,
- "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En"
}
}Remove a recipient from an existing share
| shareId required | string <guid> Example: d398ac9a-1e5e-490c-9695-25e075009379 Unique Share identifier |
| recipientId required | string <guid> Example: 85700556-011c-49ab-800a-d12d1ddd1e68 Unique Recipient identifier |
{- "type": null,
- "title": null,
- "status": null,
- "detail": null,
- "instance": null
}Get a recipient from an existing share
| shareId required | string <guid> Example: 323e53f8-c765-41e0-a4ba-3208a85ac3a1 Unique Share identifier |
| recipientId required | string <guid> Example: 34d48dfc-8378-4e65-badd-2ef965b91778 Unique Recipient identifier |
{- "id": "362be456-8079-44df-8a57-70700dfac5ad",
- "externalReference": "c07d838a-e59a-4689-9693-3ba5cf42b96d",
- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "0777777777",
- "fileAccessInfos": [
- {
- "id": "ef1ea396-b731-432a-9ff3-9ed0819d0901",
- "lastDownloadedAt": "2026-10-22T14:12:38.4393241+00:00"
}
], - "fileRestrictions": [
- "ef1ea396-b731-432a-9ff3-9ed0819d0901"
], - "authentication": [
- {
- "identityProvider": "otp-sms",
- "idpId": null,
- "nin": null
}, - {
- "identityProvider": "otp-email",
- "idpId": null,
- "nin": null
}
], - "loggedInTime": "2026-10-22T14:07:38.4393333+00:00",
- "url": null,
- "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En"
}
}Update a recipient from an existing share
| shareId required | string <guid> Example: 5638a73c-df7a-4fbb-8129-0021950d799d The identifier of the share this recipient belongs to |
| recipientId required | string <guid> Example: fa7fbbdb-8182-411c-9dc6-91e31a884f32 Unique recipient identifier |
| firstName | string or null Recipient first name |
| lastName | string or null Recipient last name |
string or null <email> ^[^@]+@[^@]+$ Recipient email | |
| mobile | string or null Recipient mobile |
| externalReference | string or null Create a reference to your own system |
| fileRestrictions | Array of strings or null <guid> [ items <guid > ] A list of file ids that this recipient has access to, if empty, this recipient will have access to all the file from the share |
Array of objects or null (AuthenticationDto) List of authentication methods for a recipient | |
(UpdateNotificationDto (object or null)) Recipient notification setup |
{- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "+4771234567",
- "externalReference": "9b0bb647-4bb6-4b7a-aa1e-62b91be30254",
- "fileRestrictions": [ ],
- "authentication": [
- {
- "identityProvider": "sbid",
- "idpId": "5678-1234-3456",
- "nin": "10234567893"
}
], - "notification": {
- "sendEmail": true,
- "sensSms": true,
- "language": null
}
}{- "id": "4f44ba92-22b5-4adf-b623-3e681556c444",
- "externalReference": "8a4893a0-b501-4b6e-ae71-8c347ee21465",
- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "0777777777",
- "fileAccessInfos": [ ],
- "fileRestrictions": [ ],
- "authentication": [
- {
- "identityProvider": "sbid",
- "idpId": "5678-1234-3456",
- "nin": "10234567893"
}
], - "loggedInTime": "2026-10-22T14:07:38.4421032+00:00",
- "url": null,
- "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En"
}
}Send a reminder notification to a specific recipient
| shareId required | string <guid> Example: 88875524-7418-46b6-82c8-68d6ca3608e5 Unique Share identifier |
| recipientId required | string <guid> Example: 0680eda4-bf0a-4017-a7d8-7f07d0f629c6 Unique Recipient identifier |
{- "type": null,
- "title": null,
- "status": null,
- "detail": null,
- "instance": null
}Remove a file from the storage
| shareId required | string <guid> Example: 3841fdf4-9859-4a1d-a214-83203cf3ec10 Unique Share identifier |
| fileId required | string <guid> Example: 5379bfcd-3b1f-4249-9385-6653a8da05e3 Unique File identifier |
{- "type": null,
- "title": null,
- "status": null,
- "detail": null,
- "instance": null
}Upload a file(s) using multipart/form-data request body
| shareId required | string <guid> Example: 13465b58-439a-44de-af9d-01dfc2294337 Unique Share identifier |
[- {
- "id": "a22ed4e5-cd39-46d7-b848-fedd4ba77fff",
- "name": "File1",
- "status": "Success",
- "size": 1234,
- "message": null
}, - {
- "id": "80b1e560-6fc3-45a3-9a1e-960af4610ab6",
- "name": "File2",
- "status": "VirusFound",
- "size": 5023412,
- "message": "This file contains a malicious script"
}, - {
- "id": "8e1c266d-433f-4fff-a519-01d033877810",
- "name": "File3",
- "status": "Failed",
- "size": 5678,
- "message": "Something went wrong uploading the file"
}, - {
- "id": "1fd981bc-c7ef-47dc-ac59-c6ac443883eb",
- "name": "File4",
- "status": "Success",
- "size": 69420,
- "message": null
}
]